<ion-header>
  <ion-toolbar color="primary">
    <ion-title>Tareas Pendientes</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">

  <div>
    <small>*Swipe para eliminar</small>
  </div>
  
  <ion-list>
    <ion-item-sliding *ngFor="let pendingTask of pendingTaskList ">
      <ion-item-options side="end">
        <ion-item-option color="danger" (click)="deleteTask(pendingTask)">
          <ion-icon name="trash"></ion-icon>
        </ion-item-option>
      </ion-item-options>

      <ion-item>
        <ion-label>{{ pendingTask.name }}</ion-label>
        <ion-button color="success" (click)="doneTask(pendingTask)">
          <ion-icon name="checkmark" slot="icon-only" style="color: white;"></ion-icon>
        </ion-button>
      </ion-item>

    </ion-item-sliding>
  </ion-list>

  <ion-fab slot="fixed" vertical="bottom" horizontal="end">
    <ion-fab-button (click)="presentCreateTaskModal()">
      <ion-icon name="add-outline"></ion-icon>
    </ion-fab-button>
  </ion-fab>

</ion-content>
